/***************************************************************************
                          kplnamespace.h  -  description
                             -------------------

    This file is a part of kpl - a program for graphical presentation of
    data sets and functions.

    begin                : Sun Apr 25 1999
    copyright            : (C) 2000 by Werner Stille
    email                : stille@uni-freiburg.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KPLNAMESPACE_H
#define KPLNAMESPACE_H

#define KPL_NPMAX 20

/**
  * Kpl namespace. Declares global names.
  * @author Werner Stille
  */

class Kpl {
public:
  /** Points per cm */
  static const double pts;
  /** Types of files */
  enum FileTypes{Unknown, Data, Plot};
  /** Types of items */
  enum ItemTypes{Frame = 1, Array, Function, ParFunction, Legend};
  /** Structure contains data error fit settings for parameter fits. */
  struct DataErrorStruct {
    bool fitErrCol;
    double pErrMod[KPL_NPMAX];
    char errModName[100], errModPath[260];
  };
  /** Structure contains autoplot settings. */
  struct AutoStruct {
    bool autoErr, autoNorm, autohPath, autoFit, fitShowDlg, fitSavePar,
         fitFollow, fitNonLin, showSource;
    bool fitPar[KPL_NPMAX];
    int prec, ixAuto, iyAuto, ieAuto, autoGrid, autoSymb, fitMaxIt, fitSymb,
        nyLeg;
    unsigned colFrame, colGrid, colData, fitColor;
    double xf, yf, x0Auto, xlAuto, y0Auto, ylAuto, fitTol;
    double pFit[KPL_NPMAX];
    char format, sxAuto[80], syAuto[80], shAuto[260], fitName[100],
         fitPath[260];
    DataErrorStruct err;
  };
};

#endif
